export type PromiseResolver<T = any> = (value: T) => void;
export type PromiseRejecter<E = Error> = (err: E) => void;
export interface Args {
    input: string;
    whole: boolean;
    encoding: string;
}
export interface PackageInfo {
    version: string;
    description: string;
}
export type ImportedFunction = ($data: string, $index: number) => string;
export type CommandType = 'command' | 'function' | 'filter' | 'reverseFilter';
export interface Command {
    type: CommandType;
    command: string | ImportedFunction;
}
export declare class NSedError extends Error {
    code: string;
    constructor(message: string);
}
export declare function createPromiseForCallbacks<T = void, E = Error>(): [Promise<T>, PromiseResolver<T>, PromiseRejecter<E>];
